Function FirstLine(MultipleLines As String) As String
	Dim i As Integer
	Dim Line0 As String

	i = instr(MultipleLines, Chr(13)) - 1
	FirstLine = left(MultipleLines, i)
End Function


Function CATIA_Update_After(ApplHndl As Long,Sstr As String,FirstPar As Long,SecondPar As Long,ThirdPar As Long ) As Integer

    Dim SmSession       As ISmSession
    Dim FirstRec        As Object
    Dim SmObject        As SmApplic.ISmObject
	Dim DescLine		As String

    CONV_RecListToComRecordList FirstPar,FirstRec 

    Set SmSession 		= SCREXT_ObjectForInterface(ApplHndl) 
	Set SmObject 		= SmSession.ObjectStore.ObjectFromData(FirstRec.GetRecord(0), True)

	SmSession.ObjectStore.DefaultBehavior.InvokeScripts = False

	' ClassId von "CATIA Drawing" "CATIA Part" und "CATIA Product"
    Dim intClsIDDrawing As Integer
    Dim intClsIDPart    As Integer
    Dim intClsIDProduct As Integer
    
    intClsIDDrawing = SmSession.Metainfo.SmClassByName("CATIA Drawing").ClassId
    intClsIDPart = SmSession.Metainfo.SmClassByName("CATIA Part").ClassId
    intClsIDProduct = SmSession.Metainfo.SmClassByName("CATIA Product").ClassId

	Select Case SmObject.ClassId
    	Case intClsIDPart, intClsIDProduct

			SmObject.Retrieve

			' "CN_PART_NUMBER" und Erste Zeile aus "CN_DESCRIPTIONREF"
			DescrLine = SmObject.Data.Value("CN_PART_NUMBER")
			DescrLine = DescrLine & " - " & FirstLine(SmObject.Data.Value("CN_DESCRIPTIONREF"))
			'MsgBox "Part/Product: " & DescrLine

			' SmObject.Data.Value("CN_DEFINITION") = DescrLine
			SmObject.Data.Value("TDM_DESCRIPTION") = DescrLine
			SmObject.Update
         
        Case intClsIDDrawing
			Dim QueryDefinition As SmApplic.ISmQueryDefinition
			Dim Dependencies    As SmApplic.ISmObjects 
   			Dim SmObjLinked     As SmApplic.ISmObject
			
			Set QueryDefinition = Nothing
			Set Dependencies = SmObject.RetrieveDependencies(QueryDefinition)

			If Dependencies.Count = 0 Then
			  	MsgBox "No dependencies found, update SmarTeam profile card manually!"
				Exit Function

			Else
			  	' MsgBox "Number of object dependencies: " & CSTr(Dependencies.Count)
				Set SmObjLinked = Dependencies.Item(0).Clone
				SmObjLinked.Retrieve
				SmObject.Retrieve

				' "CN_PART_NUMBER" und Erste Zeile aus "CN_DESCRIPTIONREF" des gelinkten Objekts (Part oder Product)
				DescrLine = SmObjLinked.Data.Value("CN_PART_NUMBER")
				DescrLine = DescrLine & " - " & FirstLine(SmObjLinked.Data.Value("CN_DESCRIPTIONREF"))
				' MsgBox "Drawing: " & DescrLine

				SmObject.Data.Value("TDM_DESCRIPTION") = DescrLine
				SmObject.Update
			End If
         
        Case Else
			'MsgBox "Unknown Object: " & SmObject.ClassId
        	Exit Function
        
    End Select

End Function
